# ChangeLog for dev-vcs/darcs
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/dev-vcs/darcs/ChangeLog,v 1.44 2013/02/09 18:58:52 slyfox Exp $

*darcs-2.8.4 (09 Feb 2013)

  09 Feb 2013; Sergei Trofimovich <slyfox@gentoo.org> +darcs-2.8.4.ebuild:
  Version bump.

  28 Dec 2012; Mark Wright <gienah@gentoo.org> +files/darcs-2.8.3-tf-0.8.patch,
  darcs-2.8.3-r1.ebuild:
  Fix build failure against dev-haskell/test-framework-0.8

  24 Dec 2012; Sergei Trofimovich <slyfox@gentoo.org> -darcs-2.4.4-r1.ebuild,
  -darcs-2.5.2-r1.ebuild, -darcs-2.5.2-r2.ebuild,
  -files/darcs-1.0.9-bashcomp.patch,
  -files/darcs-2.4.4-issue1770-curl_multi_perform-no-running-handles.patch,
  -files/darcs-2.4.4-tests-emailformat.patch, -files/darcs-2.5.2-ghc-7.2.patch,
  -files/darcs-2.5.2-ghc-7.4.patch, -files/darcs-2.5.2-mtl-2.1.patch,
  -files/darcs-2.5.2-relax-http-libs-deps.patch,
  -files/darcs-2.5.2-relax-regex-libs-deps.patch,
  -files/darcs-2.5.2-tests-ghc-7.2.patch:
  Removed old.

  10 Dec 2012; Sergei Trofimovich <slyfox@gentoo.org> darcs-2.8.0.ebuild:
  stable on alpha/ia64/sparc (bug #421351)

  10 Dec 2012; Sergei Trofimovich <slyfox@gentoo.org> darcs-2.8.3-r1.ebuild:
  Ameld lower bounds for test depends.

  07 Dec 2012; Agostino Sarubbo <ago@gentoo.org> darcs-2.8.0.ebuild:
  Stable for ppc64, wrt bug #421351

  07 Dec 2012; Agostino Sarubbo <ago@gentoo.org> darcs-2.8.0.ebuild:
  Stable for ppc, wrt bug #421351

*darcs-2.8.3-r1 (25 Nov 2012)

  25 Nov 2012; Mark Wright <gienah@gentoo.org> +darcs-2.8.3-r1.ebuild,
  +files/darcs-2.8.1-tar-0.4.patch, +files/darcs-2.8.3-ghc-7.6.patch.bz2,
  +files/darcs-2.8.3-hack-for-haskeline-0.7-breaks-non-utf8.patch:
  Thanks to slyfox for patching darcs-2.8.3 for ghc 7.6.1

  25 Sep 2012; Andreas Schuerch <nativemad@gentoo.org> darcs-2.8.0.ebuild:
  x86 stable, see bug 421351

  12 Sep 2012; Alexander Vershilov <qnikst@gentoo.org> darcs-2.4.4-r1.ebuild,
  darcs-2.5.2-r1.ebuild, darcs-2.5.2-r2.ebuild, darcs-2.8.0.ebuild:
  move dev-vcs/darcs/darcs-2.8.0.ebuild ebuild to mirror://hackage

  07 Sep 2012; Agostino Sarubbo <ago@gentoo.org> darcs-2.8.0.ebuild:
  Stable for amd64, wrt bug #421351

  09 Aug 2012; Sergei Trofimovich <slyfox@gentoo.org> darcs-2.8.0.ebuild:
  Rekeyworded
  ~alpha/~ia64/~ppc/~ppc64/~sparc/~x86-fbsd/~x86-freebsd/~amd64-linux/~x86-linux
  /~ppc-macos/~x86-macos/~x86-solaris

  24 May 2012; Mike Frysinger <vapier@gentoo.org> darcs-2.5.2-r1.ebuild,
  darcs-2.5.2-r2.ebuild, darcs-2.8.0.ebuild:
  Inherit eutils for epatch.

*darcs-2.8.0 (05 May 2012)

  05 May 2012; Mark Wright <gienah@gentoo.org> +darcs-2.8.0.ebuild,
  +files/darcs-2.8.0-mtl-2.1.patch:
  Bump darcs to 2.8.0.

  03 May 2012; Jeff Horelick <jdhore@gentoo.org> darcs-2.4.4-r1.ebuild:
  dev-util/pkgconfig -> virtual/pkgconfig

*darcs-2.5.2-r2 (13 Apr 2012)

  13 Apr 2012; Mark Wright <gienah@gentoo.org> +darcs-2.5.2-r2.ebuild,
  +files/darcs-2.5.2-mtl-2.1.patch, -darcs-2.5.2.ebuild:
  Allow darcs 2.5.2-r2 to build with mtl-2.1

  25 Mar 2012; Sergei Trofimovich <slyfox@gentoo.org> darcs-2.5.2-r1.ebuild,
  darcs-2.5.2.ebuild:
  Add missing dev-haskell/random depend. Noticed by Alexis Ballier in bug
  #409655.

  06 Mar 2012; Mark Wright <gienah@gentoo.org> darcs-2.5.2.ebuild:
  Set the darcs-2.5.2 keywords the same as darcs-2.5.2-r1

  04 Mar 2012; Mark Wright <gienah@gentoo.org> darcs-2.4.4-r1.ebuild,
  darcs-2.5.2.ebuild, darcs-2.5.2-r1.ebuild:
  Fix QA Notice: dobashcompletion: command not found

  04 Mar 2012; Sergei Trofimovich <slyfox@gentoo.org> darcs-2.5.2-r1.ebuild:
  Rekeyworded ~ia64 (works fine on ghc-6.12.3)

*darcs-2.5.2-r1 (04 Mar 2012)

  04 Mar 2012; Mark Wright <gienah@gentoo.org> darcs-2.5.2-r1.ebuild,
  +files/darcs-2.5.2-ghc-7.4.patch,
  +files/darcs-2.5.2-relax-http-libs-deps.patch:
  Patch darcs 2.5.2 for ghc 7.4.1, patches sent upstream and applied to darcs
  repo. Remove ia64 keyword.

*darcs-2.5.2 (04 Mar 2012)

  04 Mar 2012; Mark Wright <gienah@gentoo.org> darcs-2.4.4-r1.ebuild,
  Add [profile?] to haskell library dependencies.

  08 Dec 2011; Sergei Trofimovich <slyfox@gentoo.org> darcs-2.4.4-r1.ebuild,
  darcs-2.5.2.ebuild:
  Drop tests/external.sh from tests as it reloes on ecample.com layout.
  Partially fixes bug #392647 by Paweł Hajdan, Jr.

  04 Aug 2011; Sergei Trofimovich <slyfox@gentoo.org> +darcs-2.5.2.ebuild,
  +files/darcs-2.5.2-ghc-7.2.patch,
  +files/darcs-2.5.2-relax-regex-libs-deps.patch,
  +files/darcs-2.5.2-tests-ghc-7.2.patch:
  Version bump (ghc-7 support). Dropped ~alpha/~ia64/~ppc/~ppc64/~sparc
  keywords until deps are keyworded.

  05 Jun 2011; Sergei Trofimovich <slyfox@gentoo.org> darcs-2.4.4-r1.ebuild:
  restored lost ~x86-freebsd ~amd64-linux ~x86-linux ~x86-solaris

  05 Jun 2011; Sergei Trofimovich <slyfox@gentoo.org>
  -files/darcs-1.0.8-ghc66.patch, -darcs-1.0.9.ebuild,
  -files/darcs-1.1.0pre1-ghc68.patch, -darcs-2.0.2.ebuild,
  -files/darcs-2.0.2-add-dummy-base-dependency.diff, -darcs-2.1.0-r1.ebuild,
  -darcs-2.2.1.ebuild, -darcs-2.4.4.ebuild:
  Removed old.

  10 Apr 2011; Fabian Groffen <grobian@gentoo.org> darcs-2.4.4-r1.ebuild:
  Marked ~x86-macos, fixed for Prefix (EAPI=3)

  25 Feb 2011; Kacper Kowalik <xarthisius@gentoo.org> darcs-2.4.4-r1.ebuild:
  ppc/ppc64 stable wrt #339580

  20 Nov 2010; Sergei Trofimovich <slyfox@gentoo.org> darcs-2.4.4-r1.ebuild:
  alpha/ia64/sparc stable (bug #339580). Marked ~x86-fbsd (bug #227677).

  16 Nov 2010; Sergei Trofimovich <slyfox@gentoo.org> darcs-2.4.4-r1.ebuild,
  +files/darcs-2.4.4-tests-emailformat.patch:
  Fix FEATURES=test failure on ghci-less platforms (alpha, ia64, ppc64)

  19 Oct 2010; Thomas Kahle <tomka@gentoo.org> darcs-2.4.4-r1.ebuild:
  x86 stable per bug 339580

  16 Oct 2010; Markos Chandras <hwoarang@gentoo.org> darcs-2.4.4-r1.ebuild:
  Stable on amd64 wrt bug #339580

  03 Oct 2010; Lennart Kolmodin <kolmodin@gentoo.org> darcs-2.4.4-r1.ebuild:
  Add dev-util/pkgconfig to build time deps.

  09 Sep 2010; Sergei Trofimovich <slyfox@gentoo.org> darcs-2.4.4-r1.ebuild:
  Marked ~sparc

  20 Jul 2010; Joseph Jezak <josejx@gentoo.org> darcs-2.4.4-r1.ebuild:
  Marked ~ppc for bug #283531.

  12 Jul 2010; Sergei Trofimovich <slyfox@gentoo.org> darcs-2.2.1.ebuild:
  Removed USE=doc from this ebuild, as it's broken (bug #278659), however
  newer versions build docs correctly. Thanks to Juergen Rose
  <rose@rz.uni-potsdam.de> for the report.

  10 Jul 2010; Sergei Trofimovich <slyfox@gentoo.org> darcs-2.4.4.ebuild,
  darcs-2.4.4-r1.ebuild:
  marked ~ia64

  08 Jul 2010; Sergei Trofimovich <slyfox@gentoo.org> darcs-2.4.4.ebuild,
  darcs-2.4.4-r1.ebuild:
  ~alpha keyworded

  01 Jul 2010; Jeroen Roovers <jer@gentoo.org> darcs-1.0.9.ebuild,
  darcs-2.0.2.ebuild, darcs-2.1.0-r1.ebuild, darcs-2.2.1.ebuild:
  Drop support for ghc and darcs.

*darcs-2.4.4-r1 (04 Mar 2012)

  04 Mar 2012; Mark Wright <gienah@gentoo.org> darcs-2.4.4-r1.ebuild,
  Add [profile?] to haskell library dependencies.

  28 Jun 2010; Lennart Kolmodin <kolmodin@gentoo.org>
  +darcs-2.4.4-r1.ebuild,
  +files/darcs-2.4.4-issue1770-curl_multi_perform-no-running-handles.patch:
  Attempt to solve issue1770 ( http://bugs.darcs.net/issue1770 ) which stops
  users from fetching the Gentoo Haskell overlay. The patch is taken from
  darcs HEAD and is written by Dmitry Kurochkin
  <dmitry.kurochkin@gmail.com>.

  Also, remove test case that required hlint. If the user would have a
  recent version of hlint installed it would break the tests. Fix by slyfox.

  16 Jun 2010; Lennart Kolmodin <kolmodin@gentoo.org>
  -darcs-1.1.0_pre1.ebuild, darcs-2.1.0-r1.ebuild, darcs-2.2.1.ebuild,
  -darcs-2.4.ebuild:
  Bump requirement in darcs-2.1.0-r1 and darcs-2.2.1 to >=ghc-6.8 from
  >=ghc-6.2.2.
  All arches that are keyworded in those darcs versions also have ghcs
  either stable or keyworded.
  This makes the dependency on dev-haskell/filepath unneeded, so it has been
  removed, see bug #324411.
  Also remove old or rudendant darcs versions.

*darcs-2.4.4 (23 May 2010)

  23 May 2010; Lennart Kolmodin <kolmodin@gentoo.org> +darcs-2.4.4.ebuild:
  Version bump.

*darcs-2.4 (28 Mar 2010)

  28 Mar 2010; Lennart Kolmodin <kolmodin@gentoo.org> +darcs-2.4.ebuild:
  Version bump. Lots of new dependencies, thus at the moment we only support
  amd64, ppc64 and x86. When we've got GHC 6.12 on more arches we will put
  the keywords back.

  23 Mar 2010; Lennart Kolmodin <kolmodin@gentoo.org> -darcs-1.0.5.ebuild,
  -darcs-1.0.6.ebuild, -darcs-1.0.7.ebuild, -darcs-1.0.8-r2.ebuild:
  Remove some of the old ebuilds for version 1.x.

  14 Mar 2010; Lennart Kolmodin <kolmodin@gentoo.org> +darcs-1.0.5.ebuild,
  +darcs-1.0.6.ebuild, +darcs-1.0.7.ebuild, +darcs-1.0.8-r2.ebuild,
  +files/darcs-1.0.8-ghc66.patch, +darcs-1.0.9.ebuild,
  +files/darcs-1.0.9-bashcomp.patch, +darcs-1.1.0_pre1.ebuild,
  +files/darcs-1.1.0pre1-ghc68.patch, +darcs-2.0.2.ebuild,
  +files/darcs-2.0.2-add-dummy-base-dependency.diff, +darcs-2.1.0-r1.ebuild,
  +darcs-2.2.1.ebuild, +metadata.xml:
  Moved from dev-util to dev-vcs.

*darcs-2.3.1 (26 Jan 2010)

  26 Jan 2010; Lennart Kolmodin <kolmodin@gentoo.org> +darcs-2.3.1.ebuild,
  +files/darcs-2.3.1-ghc-6.12-rec-keyword.patch,
  +files/darcs-2.3.1-haddock-cabal-1.8-break.patch:
  Version bump.

  20 Jan 2010; Lennart Kolmodin <kolmodin@gentoo.org> darcs-2.0.2.ebuild:
  epatch died due to missing cd "${S}", add it.

  15 Jan 2010; Christian Faulhammer <fauli@gentoo.org> darcs-2.2.1.ebuild:
  Transfer Prefix keywords

  30 Aug 2009; Lennart Kolmodin <kolmodin@gentoo.org> darcs-2.0.2.ebuild:
  Fix build system so that it builds with ghc 6.10, as this is the latest
  stable package and thus is the default to users running stable systems.
  Patch by Sergei Trofimovich <slyfox@inbox.ru>.
  Also add sys-libs/zlib as dep, to fix bug #282661.

  25 Jul 2009; Lennart Kolmodin <kolmodin@gentoo.org> darcs-2.2.1.ebuild:
  When building with USE=doc, make sure we have >=haddock-2.4.1.
  See bug #278659, reported by Martin von Gagern <Martin.vGagern@gmx.net>.

*darcs-2.2.1 (21 Jul 2009)

  21 Jul 2009; Lennart Kolmodin <kolmodin@gentoo.org> +darcs-2.2.1.ebuild:
  Version bump.

*darcs-2.1.0-r1 (20 Oct 2008)

  20 Oct 2008; Lennart Kolmodin <kolmodin@gentoo.org> -darcs-2.1.0.ebuild,
  +darcs-2.1.0-r1.ebuild:
  Make sure the manual is built when the doc flag is set, the configure
  argument had changed. Patch by Joachim Fasting <joachim.fasting@gmail.com>.
  
  Also remove the dep on dev-haskell/http, as it is optional and yet not
  keyworded on all arches darcs supports.

  19 Oct 2008; Lennart Kolmodin <kolmodin@gentoo.org>
  -darcs-2.1.0_pre2.ebuild, -darcs-2.1.0_pre3.ebuild:
  Remove pre-releases of darcs-2.1.0

*darcs-2.1.0 (19 Oct 2008)

  19 Oct 2008; Lennart Kolmodin <kolmodin@gentoo.org> +darcs-2.1.0.ebuild:
  Version bump

  18 Oct 2008; nixnut <nixnut@gentoo.org> darcs-2.0.2.ebuild:
  Stable on ppc wrt bug 239368

  08 Oct 2008; Markus Meier <maekke@gentoo.org> darcs-2.0.2.ebuild:
  amd64/x86 stable, bug #239368

  04 Oct 2008; Raúl Porcel <armin76@gentoo.org> darcs-2.0.2.ebuild:
  alpha/ia64 stable wrt #239368

*darcs-2.1.0_pre3 (04 Oct 2008)

  04 Oct 2008; Lennart Kolmodin <kolmodin@gentoo.org>
  +darcs-2.1.0_pre3.ebuild:
  Add the latest pre release of darcs 2.1.0, the third.

  02 Oct 2008; Ferris McCormick <fmccor@gentoo.org> darcs-2.0.2.ebuild:
  Sparc stable --- Bug #239368 --- All tests pass and it installs as expected.

  02 Oct 2008; Jeroen Roovers <jer@gentoo.org> darcs-2.0.2.ebuild:
  Stable for HPPA (bug #239368).

  02 Oct 2008; Lennart Kolmodin <kolmodin@gentoo.org>
  darcs-2.1.0_pre2.ebuild:
  Add ~hppa too, as previous versions work well with it.

  29 Sep 2008; Lennart Kolmodin <kolmodin@gentoo.org> darcs-1.0.9.ebuild:
  Patch darcs-1.0.9 to add support for ghc-6.8.x

*darcs-2.1.0_pre2 (29 Sep 2008)

  29 Sep 2008; Lennart Kolmodin <kolmodin@gentoo.org>
  +darcs-2.1.0_pre2.ebuild:
  Add a pre release of darcs-2.1.0

  26 Aug 2008; Raúl Porcel <armin76@gentoo.org> darcs-2.0.2.ebuild:
  Add ~ia64 wrt #227677

*darcs-2.0.2 (25 Aug 2008)

  25 Aug 2008; Lennart Kolmodin <kolmodin@gentoo.org> +darcs-2.0.2.ebuild:
  Bump to 2.0.2, first ebuild in the 2.x series.

  29 Jun 2008; Tobias Klausmann <klausman@gentoo.org>
  darcs-1.1.0_pre1.ebuild:
  Keyworded on alpha, bug #227677

  17 Jun 2008; Jeroen Roovers <jer@gentoo.org> darcs-1.0.9.ebuild,
  darcs-1.1.0_pre1.ebuild:
  Marked one stable for HPPA, another one ~hppa (bug #227677).

  25 May 2008; Lennart Kolmodin <kolmodin@gentoo.org> darcs-1.0.5.ebuild,
  darcs-1.0.6.ebuild, darcs-1.0.7.ebuild, darcs-1.0.8-r2.ebuild,
  darcs-1.0.9.ebuild, darcs-1.1.0_pre1.ebuild:
  Use virtual/latex-base instead of virtual/tetex.
  This enables the user to use any latex implementation, see bug #222501.

  26 Jan 2008; Duncan Coutts <dcoutts@gentoo.org> darcs-1.0.5.ebuild,
  darcs-1.0.6.ebuild, darcs-1.0.7.ebuild, darcs-1.0.8-r2.ebuild,
  darcs-1.0.9.ebuild, darcs-1.1.0_pre1.ebuild:
  Fix qa bug #207449 and fix installing docs.

  30 Dec 2007; Lennart Kolmodin <kolmodin@gentoo.org>
  files/darcs-1.1.0pre1-ghc68.patch, darcs-1.1.0_pre1.ebuild:
  Rewrite the GHC version patch. It should now work with all versions of GHC
  where darcs previously worked. This fixes bug #203507.

  30 Dec 2007; Lennart Kolmodin <kolmodin@gentoo.org> darcs-1.0.5.ebuild,
  darcs-1.0.6.ebuild, darcs-1.0.7.ebuild, darcs-1.0.8-r2.ebuild,
  darcs-1.0.9.ebuild:
  Add test that dev-tex/latex2html was built with USE=png or USE=gif for all
  affected darcs versions as the docs documentation will fail otherwise.
  This fixes bug #195801.

  21 Dec 2007; Duncan Coutts <dcoutts@gentoo.org> darcs-1.1.0_pre1.ebuild:
  Add missing deps on parsec and regex-compat. Fixes bug #202887.
  Sadly have to drop some keywords because of the dep on the parsec package
  which does not yet have all the arch keywords. Also fix some quoting issues
  in the older versions of the ebuild.

*darcs-1.1.0_pre1 (20 Dec 2007)

  20 Dec 2007; Duncan Coutts <dcoutts@gentoo.org>
  +files/darcs-1.1.0pre1-ghc68.patch, darcs-1.0.9.ebuild,
  +darcs-1.1.0_pre1.ebuild:
  New version compatible with ghc-6.8. Mark older one as not working with
  ghc-6.8.

  31 Oct 2007; Duncan Coutts <dcoutts@gentoo.org> darcs-1.0.5.ebuild,
  darcs-1.0.6.ebuild, darcs-1.0.7.ebuild, darcs-1.0.8-r2.ebuild:
  Drop virtual/ghc in favour of dev-lang/ghc

  29 Aug 2007; Jeroen Roovers <jer@gentoo.org> darcs-1.0.9.ebuild:
  Marked ~hppa too.

  28 Aug 2007; nixnut <nixnut@gentoo.org> darcs-1.0.9.ebuild:
  Stable on ppc wrt bug 186845

  11 Aug 2007; Steve Dibb <beandog@gentoo.org> darcs-1.0.9.ebuild:
  amd64 stable, bug 186845

  08 Aug 2007; Lennart Kolmodin <kolmodin@gentoo.org> darcs-1.0.9.ebuild:
  Change virtual/ghc dependency into dev-lang/ghc to fix bug #188079.
  Also correct a sed to correctly send the user's custom CFLAGS to the
  assembler.

  07 Aug 2007; Markus Rothe <corsair@gentoo.org> darcs-1.0.9.ebuild:
  Stable on ppc64; bug #186845

  07 Aug 2007; Raúl Porcel <armin76@gentoo.org> darcs-1.0.9.ebuild:
  x86 stable wrt #186845

  06 Aug 2007; Ferris McCormick <fmccor@gentoo.org> darcs-1.0.9.ebuild:
  Sparc stable --- Bug #186845 --- Passes all internal tests.

  27 Jul 2007; Duncan Coutts <dcoutts@gentoo.org> -darcs-1.0.4.ebuild:
  Remove old version.

*darcs-1.0.9 (11 Jun 2007)

  11 Jun 2007; Lennart Kolmodin <kolmodin@gentoo.org> +darcs-1.0.9.ebuild:
  Version bump

  08 Jun 2007; Zac Medico <zmedico@gentoo.org> Manifest:
  Fix broken manifest due to commit withot repoman.

*darcs-1.0.8-r2 (07 Jun 2007)

  07 Jun 2007; Lennart Kolmodin <kolmodin@gentoo.org>
  +files/darcs-1.0.9-bashcomp.patch, +darcs-1.0.8-r2.ebuild:
  Patching to not use have() in the bash completion. Fixes bug #171001

  30 Apr 2007; Duncan Coutts <dcoutts@gentoo.org> darcs-1.0.7.ebuild,
  darcs-1.0.8-r1.ebuild:
  Add missing inherit eutils.

  29 Apr 2007; Lennart Kolmodin <kolmodin@gentoo.org> darcs-1.0.4.ebuild,
  darcs-1.0.5.ebuild, darcs-1.0.6.ebuild, darcs-1.0.7.ebuild,
  darcs-1.0.8-r1.ebuild:
  Added ghc-6.6 blocks for 1.0.4, 1.0.5 and 1.0.6. Added proper extra-libs
  deps to 1.0.7 and 1.0.8-r1. 1.0.4 also got a src_unpack which the otherones
  already had, wrt compiling C code with correct C flags.

  16 Apr 2007; Markus Rothe <corsair@gentoo.org> darcs-1.0.8-r1.ebuild:
  Stable on ppc64

  21 Mar 2007; Raúl Porcel <armin76@gentoo.org> darcs-1.0.8-r1.ebuild:
  x86 stable

  09 Mar 2007; Duncan Coutts <dcoutts@gentoo.org> darcs-1.0.4.ebuild,
  darcs-1.0.5.ebuild, darcs-1.0.6.ebuild, darcs-1.0.7.ebuild,
  darcs-1.0.8-r1.ebuild:
  Add dep on dev-libs/gmp as pointed out in bug #169848

  20 Oct 2006; Duncan Coutts <dcoutts@gentoo.org>
  +files/darcs-1.0.8-ghc66.patch:
  Fix bug #150326 again, hopefully for good this time!

  16 Oct 2006; Chris Parrott <cparrott@gentoo.org> darcs-1.0.7.ebuild,
  darcs-1.0.8-r1.ebuild:
  remove virtual/mta from DEPEND and add warning about mta

  07 Oct 2006; Andres Loeh <kosmikus@gentoo.org> darcs-1.0.8-r1.ebuild:
  Undo ghc-6.6-specific changes to darcs ebuild, hopefully fixing bug #150326

*darcs-1.0.8-r1 (06 Oct 2006)

  06 Oct 2006; Luis F. Araujo <araujo@gentoo.org> +darcs-1.0.8-r1.ebuild:
  Fixing bug #148038

*darcs-1.0.8 (12 Aug 2006)

  12 Aug 2006; <kolmodin@gentoo.org> +darcs-1.0.8.ebuild:
  Version bump. See #142785.
  Thanks to Paulo Jorge de Oliveira Cantante de Matos for reminding us.

*darcs-1.0.7 (16 Jun 2006)

  16 Jun 2006; Duncan Coutts <dcoutts@gentoo.org> +darcs-1.0.7.ebuild:
  New version. Minor ebuild cleanup, particularly in the way docs are built.

  21 May 2006; Markus Rothe <corsair@gentoo.org> darcs-1.0.5.ebuild:
  Stable on ppc64

  17 May 2006; Diego Pettenò <flameeyes@gentoo.org> darcs-1.0.6.ebuild:
  Add ~x86-fbsd keyword (before I forget), although this requires masked
  ghc/ghc-bin on FreeBSD.

  27 Mar 2006; Duncan Coutts <dcoutts@gentoo.org> darcs-1.0.6.ebuild:
  Marked ~ia64

  27 Mar 2006; Duncan Coutts <dcoutts@gentoo.org> darcs-1.0.6.ebuild:
  Fix for ia64. Not added ia64 to KEYWORDS yet since it depends on ghc which
  is still p.masked for ia64.

  24 Mar 2006; Fernando J. Pereda <ferdy@gentoo.org> darcs-1.0.6.ebuild:
  Marked ~alpha.

*darcs-1.0.6 (15 Mar 2006)

  15 Mar 2006; Andres Loeh <kosmikus@gentoo.org> -darcs-1.0.2.ebuild,
  -darcs-1.0.3.ebuild, +darcs-1.0.6.ebuild:
  New version.

  01 Mar 2006; Markus Rothe <corsair@gentoo.org> darcs-1.0.5.ebuild:
  Added ~ppc64; bug #124469

  14 Feb 2006; <duncan@gentoo.org> darcs-1.0.5.ebuild:
  Marked ~sparc. Fixed use of CFLAGS which casued problems on sparc.

  10 Feb 2006; <duncan@gentoo.org> -darcs-1.0.5_rc1.ebuild,
  -darcs-1.0.5_rc2.ebuild:
  Remove release candidates 1.0.5_rc1 and 1.0.5_rc2 since 1.0.5 available.

  11 Jan 2006; Mark Loeser <halcy0n@gentoo.org> darcs-1.0.5.ebuild:
  Stable on x86; bug #112909

  11 Jan 2006; Luca Barbato <lu_zero@gentoo.org> darcs-1.0.5.ebuild:
  Marked ppc

  24 Dec 2005; Michael Hanselmann <hansmi@gentoo.org> darcs-1.0.3.ebuild:
  Stable on ppc.

*darcs-1.0.5 (07 Dec 2005)

  07 Dec 2005; Andres Loeh <kosmikus@gentoo.org> +darcs-1.0.5.ebuild:
  New release.

  05 Dec 2005; Andres Loeh <kosmikus@gentoo.org> -darcs-1.0.1.ebuild,
  -darcs-1.0.3_rc1.ebuild:
  Cleanup.

*darcs-1.0.5_rc2 (04 Dec 2005)

  04 Dec 2005; Andres Loeh <kosmikus@gentoo.org> +darcs-1.0.5_rc2.ebuild:
  New release candidate. Removed some old ebuilds.

*darcs-1.0.5_rc1 (25 Nov 2005)

  25 Nov 2005; Andres Loeh <kosmikus@gentoo.org> +darcs-1.0.5_rc1.ebuild:
  New release candidate.

  20 Nov 2005; Mark Loeser <halcy0n@gentoo.org> darcs-1.0.3.ebuild:
  Stable on x86; bug #112909

*darcs-1.0.4 (17 Nov 2005)

  17 Nov 2005; Andres Loeh <kosmikus@gentoo.org> +darcs-1.0.4.ebuild:
  New version (requested in bug #112847).

  08 Aug 2005; Andres Loeh <kosmikus@gentoo.org> darcs-1.0.3_rc1.ebuild,
  darcs-1.0.3.ebuild:
  Restored missing ~amd64 flags.

*darcs-1.0.3 (26 Jul 2005)

  26 Jul 2005; Andres Loeh <kosmikus@gentoo.org> +darcs-1.0.3.ebuild:
  New version.

  10 May 2005; Andres Loeh <kosmikus@gentoo.org> darcs-1.0.3_rc1.ebuild:
  darcs-1.0.3_rc1 must be built with ghc-6.2.2 or later, fixing bug #92152.

  03 May 2005; Andres Loeh <kosmikus@gentoo.org> darcs-1.0.1.ebuild,
  darcs-1.0.2.ebuild, darcs-1.0.3_rc1.ebuild:
  Darcs needs an mta to operate correctly.

  02 May 2005; Andres Loeh <kosmikus@gentoo.org> -darcs-0.9.23.ebuild:
  Cleaning up.

*darcs-1.0.3_rc1 (02 May 2005)

  02 May 2005; Andres Loeh <kosmikus@gentoo.org> +darcs-1.0.3_rc1.ebuild:
  New release candidate, which supports compilation with ghc-6.4.

  21 Apr 2005; Michael Hanselmann <hansmi@gentoo.org> darcs-1.0.2.ebuild:
  Stable on ppc.

  24 Mar 2005; Andres Loeh <kosmikus@gentoo.org> darcs-1.0.2.ebuild:
  Marked stable on x86.

  19 Mar 2005; Andres Loeh <kosmikus@gentoo.org> darcs-0.9.23.ebuild,
  darcs-1.0.1.ebuild, darcs-1.0.2.ebuild:
  darcs does not currently build with ghc-6.4, thus it is blocked by this
  compiler version. Added test phase for darcs-1.0.2.

*darcs-1.0.2 (15 Feb 2005)

  15 Feb 2005; Andres Loeh <kosmikus@gentoo.org> -darcs-1.0.0.ebuild,
  +darcs-1.0.2.ebuild:
  New version.

  17 Jan 2005; Andres Loeh <kosmikus@gentoo.org> -darcs-0.9.20.ebuild,
  darcs-0.9.23.ebuild, darcs-1.0.1.ebuild:
  Disabled wxwindows USE flag in 0.9.23 because of bug #77559. Marked 1.0.1
  stable on x86.

*darcs-1.0.1 (15 Dec 2004)

  15 Dec 2004; Andres Loeh <kosmikus@gentoo.org> +darcs-1.0.1.ebuild:
  New version.

  25 Nov 2004; Andres Loeh <kosmikus@gentoo.org> darcs-1.0.0.ebuild:
  Removed wxhaskell dependency, because wxhaskell features are currently
  disabled. Added ~amd64 flag (bug #58590).

  08 Nov 2004; Andres Loeh <kosmikus@gentoo.org> darcs-1.0.0.ebuild:
  Ebuild cleanup.

*darcs-1.0.0 (08 Nov 2004)

  08 Nov 2004; Andres Loeh <kosmikus@gentoo.org> +darcs-1.0.0.ebuild,
  -darcs-1.0.0_rc1.ebuild, -darcs-1.0.0_rc3.ebuild:
  Version 1.0.0 released.

*darcs-1.0.0_rc3 (21 Oct 2004)

  21 Oct 2004; Andres Loeh <kosmikus@gentoo.org> darcs-0.9.22.ebuild,
  darcs-1.0.0_rc3.ebuild:
  Version bump, closing bug #68064.

  24 Sep 2004; <SeJo@gentoo.org> darcs-0.9.23.ebuild:
  stable bump due to bug 59753

  24 Aug 2004; Andres Loeh <kosmikus@gentoo.org> darcs-1.0.0_rc1.ebuild:
  Distribution contains compiled filed. Added "make clean" (#61433).

*darcs-1.0.0_rc1 (23 Aug 2004)

  23 Aug 2004; Andres Loeh <kosmikus@gentoo.org> darcs-0.9.21.ebuild,
  darcs-1.0.0_rc1.ebuild:
  New version.

*darcs-0.9.23 (30 Jul 2004)

  30 Jul 2004; Andres Loeh <kosmikus@gentoo.org> darcs-0.9.19.ebuild,
  darcs-0.9.23.ebuild:
  New version.

*darcs-0.9.22 (29 Jun 2004)

  29 Jun 2004; Andres Loeh <kosmikus@gentoo.org> darcs-0.9.22.ebuild:
  New version.

*darcs-0.9.21 (13 Jun 2004)

  13 Jun 2004; Andres Loeh <kosmikus@gentoo.org> darcs-0.9.17.ebuild,
  darcs-0.9.20.ebuild, darcs-0.9.21.ebuild:
  Marked 0.9.20 stable for x86 (bug #53293). Added new version 0.9.21.

*darcs-0.9.20 (17 May 2004)

  17 May 2004; Andres Loeh <kosmikus@gentoo.org> darcs-0.9.20.ebuild:
  Version bump.

  12 Apr 2004; Andres Loeh <kosmikus@gentoo.org> darcs-0.9.17.ebuild,
  darcs-0.9.19.ebuild:
  Building with -doc did not work due to permission problem (#47546).

*darcs-0.9.19 (12 Apr 2004)

  12 Apr 2004; Andres Loeh <kosmikus@gentoo.org> darcs-0.9.17.ebuild,
  darcs-0.9.19.ebuild:
  New version. Fixed RDEPEND on wxhaskell.

  18 Mar 2004; Andres Loeh <kosmikus@gentoo.org> darcs-0.9.17.ebuild:
  Experimental wxHaskell GUI is now built if wxwindows USE flag is set.

*darcs-0.9.17 (25 Feb 2004)

  25 Feb 2004; Andres Loeh <kosmikus@gentoo.org> darcs-0.9.17.ebuild:
  New version.

*darcs-0.9.16 (18 Feb 2004)

  18 Feb 2004; Andres Loeh <kosmikus@gentoo.org> darcs-0.9.13.ebuild,
  darcs-0.9.16.ebuild:
  New version.

*darcs-0.9.15 (16 Dec 2003)

  16 Dec 2003; Andres Loeh <kosmikus@gentoo.org> darcs-0.9.12.ebuild,
  darcs-0.9.15.ebuild:
  Version bump.

*darcs-0.9.14 (11 Nov 2003)

  11 Nov 2003; Andres Loeh <kosmikus@gentoo.org> darcs-0.9.14.ebuild:
  Version bump.

  22 Oct 2003; Andres Loeh <kosmikus@gentoo.org> darcs-0.9.13.ebuild:
  Corrected dependency to teTeX.

*darcs-0.9.13 (22 Sep 2003)

  22 Sep 2003; Andres Loeh <kosmikus@gentoo.org> darcs-0.9.13.ebuild:
  New version.

*darcs-0.9.12 (31 Jul 2003)

  31 Jul 2003; Andres Loeh <kosmikus@gentoo.org> darcs-0.9.11.ebuild,
  darcs-0.9.12.ebuild:
  Version bump. Both 0.9.11 and 0.9.12 should compile with GHC 6 now.

  10 Jul 2003; Andres Loeh <kosmikus@gentoo.org> :
  Updated digest for darcs-0.9.10

  04 Jul 2003; Patrick Kursawe <phosphan@gentoo.org> darcs-0.9.10.ebuild:
  Moved some stuff from script body into src_compile where it belongs

*darcs-0.9.11 (04 Jul 2003)

  04 Jul 2003; Andres Loeh <kosmikus@gentoo.org> darcs-0.9.11.ebuild:
  Version bump. This version has an autoconf-base build system. Also updated
  the digest because the author has changed the archive.

*darcs-0.9.10 (03 Jul 2003)

  03 Jul 2003; Andres Loeh <kosmikus@gentoo.org> darcs-0.9.10.ebuild,
  darcs-0.9.11.ebuild:
  Initial import. darcs is a version control system with advanced underlying
  theory. It is written in Haskell. Thanks to Peter Simons
  <simons+gentoo@cryp.to> for pushing me (bug 23771) to do this.
